Upload an Intent Trainer Records Package - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
POST
/v2.0/trainer/upload
Try it
Upload an Intent Trainer Records Package
cURL
curl --request POST \
--url https://api-trial.cognigy.ai/new/v2.0/trainer/upload \
--header 'Content-Type: multipart/form-data' \
--header 'X-API-Key: <api-key>' \
--form 'projectId=<string>' \
--form file='@example-file'
Python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/trainer/upload"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = { "projectId": "<string>" }
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)
JavaScript
const form = new FormData();
form.append('projectId', '<string>');
form.append('file', '<string>');
const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
options.body = form;
fetch('https://api-trial.cognigy.ai/new/v2.0/trainer/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/trainer/upload",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "POST",\
CURLOPT_POSTFIELDS => "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"projectId\"\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001--",\
CURLOPT_HTTPHEADER => [\
"Content-Type: multipart/form-data",\
"X-API-Key: <api-key>"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.0/trainer/upload"
payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"projectId\"\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001--")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Java
HttpResponse<String> response = Unirest.post("https://api-trial.cognigy.ai/new/v2.0/trainer/upload")
.header("X-API-Key", "<api-key>")
.body("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"projectId\"\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001--")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api-trial.cognigy.ai/new/v2.0/trainer/upload")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request.body = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"projectId\"\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001--"
response = http.request(request)
puts response.read_body
Response Codes
- 202: Successfully uploaded the TrainerRecords and queued a processing Task.
- 400: Bad request.
- 401: Unauthorized.
- 402: Payment Required.
- 403: Forbidden.
- 404: Not Found.
- 405: Method Not Allowed.
- 409: Conflict.
- 413: Payload Too Large.
- 500: Internal Server Error.
- 501: Not Implemented.
- 502: Bad Gateway.
- 503: Service Unavailable.
- 504: Gateway Timeout.
Authorization Headers
- X-API-Key: string (header required)
Supply the API Key in the HTTP-Header.
Headers
- Accept: enum
The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.
Available options:
application/jsonapplication/hal+jsonapplication/xmltext/xmltext/csv
Body
- projectId: string
The unique identifier for the Project. Required string length: 24
- file: file
The packaged Intent Trainer records file.
Response Structure
{
"_id": "<string>",
"status": "queued",
"type": "trainIntents",
"parameters": {},
"lastChangedAt": 1594243850,
"lastCreatedAt": 1594243850,
"currentStep": 0,
"totalStep": 100
}
Error Response Structure
{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}